- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages: default System System.Caching System.Collections System.Data System.Data.ActiveRecord System.Data.ActiveRecord.Relations System.Data.ActiveRecord.Scaffold System.Data.ActiveReecord.Scaffold.InputBuilder System.Data.Commom.Sqlite System.Data.Common System.Data.Common.Mssql System.Data.Common.Mysql System.Data.Common.Oracle System.Data.Common.Pgsql System.Data.Common.Sqlite System.Data.DataGateway System.Data.SqlMap System.Data.SqlMap.Configuration System.Data.SqlMap.Statements System.Exceptions System.I18N System.IO System.Security System.Util System.Web System.Web.Services System.Web.UI System.Web.UI.ActiveControls System.Web.UI.WebControls System.Web.UI.WebControls.assets System.Xml Classes: IActiveControl IBindable ICache ICacheDependency ICallbackEventHandler IDataRenderer IModule IRenderable IService IStatePersister IStyleable ITextWriter IUser Prado PradoBase TApplication TApplicationComponent TApplicationConfiguration TApplicationMode TApplicationStatePersister TComponent TComponentReflection TDraggableConstraint TDropContainerEventParameter TEnumerable TEventParameter TModule TPropertyValue TReflectionClass TService TShellApplication |
Keyword
# Interface ICallbackEventHandler
ICallbackEventHandler interface. If a control wants to respond to callback event, it must implement this interface. Since: 3.1 Author: Wei Zhuo <weizhuo[at]gamil[dot]com>
Method Summary
void | raiseCallbackEvent ( TCallbackEventParameter $eventArgument) Raises callback event. The implementation of this function should raise appropriate event(s) (e.g. OnClick, OnCommand) indicating the component is responsible for the callback event.
Method Details
## raiseCallbackEvent
public void raiseCallbackEvent | (TCallbackEventParameter $eventArgument )
Raises callback event. The implementation of this function should raise appropriate event(s) (e.g. OnClick, OnCommand) indicating the component is responsible for the callback event.
Input
TCallbackEventParameter | $eventArgument | the parameter associated with the callback event
Output
Exception